Go to the first, previous, next, last section, table of contents.

### `dp_mag`

`dp_mag(p)`
  :: Computes the sum of bit lengths of coefficients of a distributed polynomial.

return
  integer
p
  distributed polynomial

- This function computes the sum of bit lengths of coefficients of a distributed polynomial p. If a coefficient is non integral, the sum of bit lengths of the numerator and the denominator is taken.
- This is a measure of the size of a polynomial. Especially for zero-dimensional system coefficient swells are often serious and the returned value is useful to detect such swells.
- If `ShowMag` and `Print` for `dp_gr_flags()` are on, values of `dp_mag()` for intermediate basis elements are shown.

    [221] X=dp_ptod((x+2*y)^10,[x,y])$
    [222] dp_mag(X);
    115

`References`
  section `dp_gr_flags`, `dp_gr_print`.

Go to the first, previous, next, last section, table of contents.